Package com.documentum.operations

# Interface IDfCopyNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfCopyNode extends IDfOperationNode
Represents one object in a copy operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfId`
  `getDestinationFolderId()`
  Returns the repository object ID of the destination folder for this node.
  `IDfSysObject`
  `getNewObject()`
  Returns the new IDfSysObject resulting from the copy.
  `IDfId`
  `getNewObjectId()`
  Returns the new repository object ID for the IDfSysObject resulting from the copy.
  `String`
  `getNewObjectName()`
  Returns the object name used for the newly copied object.
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the repository object ID of the IDfSysObject for this node.
  `void`
  `setDestinationFolderId(IDfId destinationFolderId)`
  Sets the repository object ID of the destination folder for this node.
  `void`
  `setNewObjectName(String newObjectName)`
  Sets the name for the new copy of the object.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node. This is the source sysobject; the object that is to be copied.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the repository object ID of the IDfSysObject for this node.
    Returns:
      object ID of the IDfSysObject for this node.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getNewObject

    IDfSysObject getNewObject() throws DfException
    Returns the new IDfSysObject resulting from the copy. Returns null if copy step has not yet occurred.
    Returns:
      new IDfSysObject resulting from copy, or null if the copy has not yet occurred.
    Throws:
      `DfException`
    See Also:
      - `IDfSysObject`

  - ### getNewObjectId

    IDfId getNewObjectId() throws DfException
    Returns the new repository object ID for the IDfSysObject resulting from the copy. May return a null ID if the copy has not yet been performed.
    Returns:
      new object ID resulting from copy, or a null ID if the copy has not yet occurred.
    Throws:
      `DfException`
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getDestinationFolderId

    IDfId getDestinationFolderId() throws DfException
    Returns the repository object ID of the destination folder for this node. This is the folder where the new object is created. If the node's destination folder ID is null, the new object is created in the destination folder specified in the overall copy operation.
    Returns:
      repository ID of the default destination folder for the node; null if default is to be used.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### setDestinationFolderId

    void setDestinationFolderId(IDfId destinationFolderId) throws DfException
    Sets the repository object ID of the destination folder for this node. This is the folder where the new object is created. If the node's destination folder ID is null, the new object is created in the destination folder specified in the overall copy operation.
    Parameters:
      `destinationFolderId` - repository ID of the default destination folder for the node; null if default is to be used.
    Throws:
      `DfException`
    See Also:
      - `IDfFolder`

  - ### getNewObjectName

    String getNewObjectName() throws DfException
    Returns the object name used for the newly copied object.
    Returns:
      object name used for the newly imported object.
    Throws:
      `DfException`

  - ### setNewObjectName

    void setNewObjectName(String newObjectName) throws DfException
    Sets the name for the new copy of the object. Use null to indicate the new object should have an identical name to the original object.
    Parameters:
      `newObjectName` - string to use as the name of the newly copied object.
    Throws:
      `DfException`